package Mail::IMAPClient::AutoConfigured;

use Mail::IMAPClient;
use base Mail::IMAPClient;

use strict;
use warnings;

sub login {
	my $self = shift;
	
	if ( $self->has_capability('AUTH=CRAM-MD5') ) {
		$self->Authmechanism('CRAM-MD5');
	}
	
	return $self->SUPER::login();
}

1;
